<template>
  <StoreGrid>
    <Store v-for="item in store" :key="item.id" :data="item" />
  </StoreGrid>
</template>

<script lang="ts">
import { defineComponent, reactive, ref } from '@nuxtjs/composition-api'
import { useStoreSubscription } from '~/sdk/hooks'
import { StoreFragment } from '~/sdk/types'
import Store from '@/components/ui/Store.vue'
import StoreGrid from '@/components/ui/StoreGrid.vue'
export default defineComponent({
  name: 'UserStorePage',
  components: {
    Store,
    StoreGrid
  },
  head: {},
  props: ['data'],
  setup(props, { root }) {
    const { onResult, loading } = useStoreSubscription({
      userId: props.data.id,
      type: { _neq: 'EVENT' as any },
      limit: 20000,
      offset: 0
    })
    const store = ref<StoreFragment[]>([])

    onResult(result => {
      if (result?.data?.store) {
        store.value = result.data.store
      }
    })

    return { store }
  }
})
</script>

<style lang="scss" scoped></style>
